Skip to content
Start here

Get TLD details

GET/radar/tlds/{tld}

Retrieves the requested TLD information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
tld: string

Top-level domain.

maxLength63
minLength2
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { tld }
tld: { manager, tld, type }
manager: string

The organization that manages the TLD.

tld: string

The actual TLD.

type: string

The type of TLD.

success: boolean

Get TLD details

curl https://api.cloudflare.com/client/v4/radar/tlds/$TLD \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "tld": {
      "manager": "VeriSign Global Registry Services",
      "tld": "com",
      "type": "GENERIC"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "tld": {
      "manager": "VeriSign Global Registry Services",
      "tld": "com",
      "type": "GENERIC"
    }
  },
  "success": true
}